wxBase-2.8.9-2.PU_IAS.5.i386.rpm


Advertisement

Description

wxBase - Non-GUI support classes from the wxWidgets library

Property Value
Distribution CentOS 5
Repository PUIAS Unsupported i386
Package name wxBase
Package version 2.8.9
Package release 2.PU_IAS.5
Package architecture i386
Package type rpm
Installed size 1.75 MB
Download size 688.29 KB
Official Mirror springdale.math.ias.edu
Every wxWidgets application must link against this library. It contains
mandatory classes that any wxWidgets code depends on (like wxString) and
portability classes that abstract differences between platforms. wxBase can
be used to develop console mode applications -- it does not require any GUI
libraries or the X Window System.

Alternatives

Package Version Architecture Repository
wxBase-2.8.12-1.el5.x86_64.rpm 2.8.12 x86_64 EPEL
wxBase-2.8.12-1.el5.i386.rpm 2.8.12 i386 EPEL
wxBase-2.8.12-1.el5.i386.rpm 2.8.12 i386 EPEL
wxBase-2.8.9-2.PU_IAS.5.x86_64.rpm 2.8.9 x86_64 PUIAS Unsupported
wxBase-2.8.9-1.Nau5x.i386.rpm 2.8.9 i386 Scientific Linux Cyrillic Edition
wxBase - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.2) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libexpat.so.0 -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GLIBC_2.0) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.3.2) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -
libwx_baseu-2.8.so.0 -
libwx_baseu-2.8.so.0(WXU_2.8) -
libwx_baseu_net-2.8.so.0 -
libwx_baseu_xml-2.8.so.0 -
libz.so.1 -
rtld(GNU_HASH) -

Provides

Name Value
libwx_baseu-2.8.so.0 -
libwx_baseu-2.8.so.0(WXU_2.8) -
libwx_baseu-2.8.so.0(WXU_2.8.1) -
libwx_baseu-2.8.so.0(WXU_2.8.2) -
libwx_baseu-2.8.so.0(WXU_2.8.4) -
libwx_baseu-2.8.so.0(WXU_2.8.5) -
libwx_baseu-2.8.so.0(WXU_2.8.7) -
libwx_baseu-2.8.so.0(WXU_2.8.8) -
libwx_baseu-2.8.so.0(WXU_2.8.9) -
libwx_baseu_net-2.8.so.0 -
libwx_baseu_net-2.8.so.0(WXU_2.8) -
libwx_baseu_net-2.8.so.0(WXU_2.8.1) -
libwx_baseu_net-2.8.so.0(WXU_2.8.2) -
libwx_baseu_net-2.8.so.0(WXU_2.8.4) -
libwx_baseu_net-2.8.so.0(WXU_2.8.5) -
libwx_baseu_net-2.8.so.0(WXU_2.8.7) -
libwx_baseu_net-2.8.so.0(WXU_2.8.8) -
libwx_baseu_net-2.8.so.0(WXU_2.8.9) -
libwx_baseu_xml-2.8.so.0 -
libwx_baseu_xml-2.8.so.0(WXU_2.8) -
libwx_baseu_xml-2.8.so.0(WXU_2.8.1) -
libwx_baseu_xml-2.8.so.0(WXU_2.8.2) -
libwx_baseu_xml-2.8.so.0(WXU_2.8.4) -
libwx_baseu_xml-2.8.so.0(WXU_2.8.5) -
libwx_baseu_xml-2.8.so.0(WXU_2.8.7) -
libwx_baseu_xml-2.8.so.0(WXU_2.8.8) -
libwx_baseu_xml-2.8.so.0(WXU_2.8.9) -
wxBase = 2.8.9-2.PU_IAS.5

Download

Type URL
Binary Package wxBase-2.8.9-2.PU_IAS.5.i386.rpm
Source Package wxGTK-2.8.9-2.PU_IAS.5.src.rpm

Install Howto

  1. Create the repository config file /etc/yum.repos.d/puias-unsupported.repo:
    [puias-unsupported]
    name=PUIAS Unsupported
    baseurl=http://springdale.math.ias.edu/data/puias/unsupported/5/i386/
    enabled=1
    gpgcheck=0
    
  2. Install wxBase rpm package:
    # yum install wxBase

Files

Path
/usr/lib/libwx_baseu-2.8.so.0
/usr/lib/libwx_baseu-2.8.so.0.5.0
/usr/lib/libwx_baseu_net-2.8.so.0
/usr/lib/libwx_baseu_net-2.8.so.0.5.0
/usr/lib/libwx_baseu_xml-2.8.so.0
/usr/lib/libwx_baseu_xml-2.8.so.0.5.0
/usr/share/doc/wxBase-2.8.9/changes.txt
/usr/share/doc/wxBase-2.8.9/gpl.txt
/usr/share/doc/wxBase-2.8.9/lgpl.txt
/usr/share/doc/wxBase-2.8.9/licence.txt
/usr/share/doc/wxBase-2.8.9/licendoc.txt
/usr/share/doc/wxBase-2.8.9/preamble.txt
/usr/share/doc/wxBase-2.8.9/readme.txt

Changelog

See wxGTK-2.8.9-2.PU_IAS.5.i386.rpm changelog.

See Also

Package Description
wxGTK-2.8.9-2.PU_IAS.5.i386.rpm GTK2 port of the wxWidgets GUI library
wxGTK-devel-2.8.9-2.PU_IAS.5.i386.rpm Development files for the wxGTK2 library
wxGTK-gl-2.8.9-2.PU_IAS.5.i386.rpm OpenGL add-on for the wxWidgets library
wxPython-2.8.7.1-2.PU_IAS.5.i386.rpm GUI toolkit for the Python programming language
wxPython-devel-2.8.7.1-2.PU_IAS.5.i386.rpm Development files for wxPython add-on modules
xemacs-21.5.28-4.PU_IAS.5.i386.rpm Different version of Emacs
xemacs-common-21.5.28-4.PU_IAS.5.i386.rpm Byte-compiled lisp files and other common files for XEmacs
xemacs-devel-21.5.28-4.PU_IAS.5.i386.rpm Development files for XEmacs
xemacs-el-21.5.28-4.PU_IAS.5.i386.rpm Emacs lisp source files for XEmacs
xemacs-info-21.5.28-4.PU_IAS.5.i386.rpm XEmacs documentation in GNU texinfo format
xemacs-nox-21.5.28-4.PU_IAS.5.i386.rpm Different version of Emacs built without X Windows support
xemacs-packages-base-20070427-1.PU_IAS.5.noarch.rpm Base lisp packages for XEmacs
xemacs-packages-base-el-20070427-1.PU_IAS.5.noarch.rpm Emacs lisp source files for the base lisp packages for XEmacs
xemacs-packages-extra-20070427-1.PU_IAS.5.noarch.rpm Collection of XEmacs lisp packages
xemacs-packages-extra-el-20070427-1.PU_IAS.5.noarch.rpm Emacs lisp source files for XEmacs packages collection
Advertisement
Advertisement